"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getMethods(store) {
    const methods = Object.getOwnPropertyNames(store).filter(k => !/^_/.test(k) && typeof Object.getOwnPropertyDescriptor(store, k).value === 'function');
    if (Object.getPrototypeOf(store).constructor.name !== 'Object') {
        const inheritedMethods = getMethods(Object.getPrototypeOf(store));
        inheritedMethods.forEach(method => {
            if (!methods.includes(method) && method !== 'constructor' && !/^_/.test(method)) {
                methods.push(method);
            }
        });
    }
    return methods;
}
exports.default = getMethods;
//# sourceMappingURL=getMethods.js.map